Subject: Re: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Nicolas Petton <[email-masked]>
Date: Wed, 10 Jan 2018 22:48:33 +0100

Eli Zaretskii <[email-masked]> writes:

> And releasing another Emacs 25.x, even if we decide to do that, will
> change nothing, because users of Emacs 25.3 and older will still have
> the same problem.

That's true, I didn't propose to do that.

> And frankly, a few byte-compilation warnings are not such a
> catastrophe, we have many dozens of them when we build Emacs.

It's definitely not a big deal, but I mentioned the issue with CI &
linting as I think issues like this one could be in the way of their
adoption by package authors.

Nico